# AuthNone (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.userauth.method
Class AuthNone

    java.lang.Object
      net.schmizz.sshj.userauth.method.AbstractAuthMethod
          net.schmizz.sshj.userauth.method.AuthNone

All Implemented Interfaces:
  SSHPacketHandler, AuthMethod

    public class AuthNone

extends AbstractAuthMethod

`none` auth. No authentication information is exchanged in the request packet save username and the next service requested. This method generally fails and is typically used to find out the method allowed by an SSH server (sent as part of the `SSH_MSG_USERAUTH_FAILURE` packet)

Field Summary

Fields inherited from class net.schmizz.sshj.userauth.method.AbstractAuthMethod
`log, params`

Constructor Summary
`AuthNone()`

Method Summary

Methods inherited from class net.schmizz.sshj.userauth.method.AbstractAuthMethod
`buildReq, getName, handle, init, makeAccountResource, request, shouldRetry`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthNone

    public AuthNone()

Copyright © 2009-2011. All Rights Reserved.